Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.tabular
Class ModuleSchemaSection

    java.lang.Object
      things.data.tabular.ModuleSchemaSection

    public class ModuleSchemaSection

extends java.lang.Object

Section.

NOTE: This package was never completed and isn't used anywhere.

Version:
  1.0

  Version History

      EPG - Initial - 22 MAY 04

Author:
  Erich P. Gatejen

Field Summary
`java.lang.String` | `myName`
`ModuleSchemaLine` | `rootLine`
`java.util.Vector<ModuleSchemaLine>` | `subordinateLines`

Constructor Summary
`ModuleSchemaSection()`
`ModuleSchemaSection(java.lang.String name)`

Method Summary
`void` | `addSubordinate(ModuleSchemaLine item)` Add a subordinate.
`ModuleSchemaLine` | `checkLine(java.lang.String name, java.lang.String message)` Check the line.
`ModuleSchemaLine` | `findFirstSubordinate(java.lang.String name)` Find the first subordinate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rootLine

    public ModuleSchemaLine rootLine

### subordinateLines

    public java.util.Vector<ModuleSchemaLine> subordinateLines

### myName

    public java.lang.String myName

Constructor Detail

### ModuleSchemaSection

    public ModuleSchemaSection()
                        throws TabularException

Throws:
  `TabularException`

### ModuleSchemaSection

    public ModuleSchemaSection(java.lang.String name)
                        throws TabularException

Throws:
  `TabularException`

Method Detail

### addSubordinate

    public void addSubordinate(ModuleSchemaLine item)

  Add a subordinate.

  Parameters:
    `item` -

### checkLine

    public ModuleSchemaLine checkLine(java.lang.String name,
                                      java.lang.String message)
                               throws TabularException

  Check the line.

  Parameters:
    `name` -
    `message` -
  Returns:
    the line.
  Throws:
    `TabularException`

### findFirstSubordinate

    public ModuleSchemaLine findFirstSubordinate(java.lang.String name)

  Find the first subordinate.

  Parameters:
    `name` -
  Returns:
    the line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.